var fs    = require('fs-extra'),
    nconf = require('nconf');

var Preferences = {
  path: app.gui.App.dataPath + '/preferences.json',

  load: function(key)
  {
    var defaults = require("../../json/preferences.json");

    if (fs.existsSync(Preferences.path) && fs.statSync(Preferences.path).size > 0) {
      nconf.file({file: Preferences.path});

      return Preferences.get(key);
    } else {
      fs.copy('./json/preferences.json', Preferences.path, function(err){
        if (err) return console.error(err);

        nconf.file({file: Preferences.path});
      });
      var preferences = require("../../json/preferences.json");
      return preferences[key];
    }
  },

  get: function(key)
  {
    return nconf.get(key);
  },

  set: function(key, value)
  {
    return nconf.set(key, value);
  },

  save: function(cfg)
  {
    nconf.save(function(err)
    {
      // console.log(err);
    });
  }
};

module.exports = Preferences;
